<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:44 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>LocationRepository (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LocationRepository (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LocationRepository.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/repositories/LanguageRepository.html" title="interface in io.mosip.registration.repositories"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/repositories/MachineMasterRepository.html" title="interface in io.mosip.registration.repositories"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/repositories/LocationRepository.html" target="_top">Frames</a></li>
<li><a href="LocationRepository.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.repositories</div>
<h2 title="Interface LocationRepository" class="title">Interface LocationRepository</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>io.mosip.kernel.core.dataaccess.spi.repository.BaseRepository&lt;<a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;, org.springframework.data.repository.CrudRepository&lt;<a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;, org.springframework.data.jpa.repository.JpaRepository&lt;<a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;, org.springframework.data.repository.PagingAndSortingRepository&lt;<a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;, org.springframework.data.repository.query.QueryByExampleExecutor&lt;<a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>&gt;, org.springframework.data.repository.Repository&lt;<a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">LocationRepository</span>
extends io.mosip.kernel.core.dataaccess.spi.repository.BaseRepository&lt;<a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</pre>
<div class="block">Location repository</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Brahmananda Reddy</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/LocationRepository.html#findByIsActiveTrueAndHierarchyNameAndLangCode-java.lang.String-java.lang.String-">findByIsActiveTrueAndHierarchyNameAndLangCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;hierarchyName,
                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</code>
<div class="block">Find master location by hierarchy name and language code.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/repositories/LocationRepository.html#findByIsActiveTrueAndParentLocCodeAndLangCode-java.lang.String-java.lang.String-">findByIsActiveTrueAndParentLocCodeAndLangCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parentLocCode,
                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</code>
<div class="block">Find master location by parent loc code.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.io.mosip.kernel.core.dataaccess.spi.repository.BaseRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;io.mosip.kernel.core.dataaccess.spi.repository.BaseRepository</h3>
<code>create, createNamedQuerySelect, createNamedQueryUpdateOrDelete, createQuerySelect, createQuerySelect, createQueryUpdateOrDelete, delete, findAll, findById, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.data.jpa.repository.JpaRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.springframework.data.jpa.repository.JpaRepository</h3>
<code>deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getOne, saveAll, saveAndFlush</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.data.repository.PagingAndSortingRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.springframework.data.repository.PagingAndSortingRepository</h3>
<code>findAll</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.data.repository.CrudRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.springframework.data.repository.CrudRepository</h3>
<code>count, delete, deleteAll, deleteAll, deleteById, existsById, findById, save</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.springframework.data.repository.query.QueryByExampleExecutor">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.springframework.data.repository.query.QueryByExampleExecutor</h3>
<code>count, exists, findAll, findOne</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="findByIsActiveTrueAndHierarchyNameAndLangCode-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByIsActiveTrueAndHierarchyNameAndLangCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>&gt;&nbsp;findByIsActiveTrueAndHierarchyNameAndLangCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;hierarchyName,
                                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</pre>
<div class="block">Find master location by hierarchy name and language code.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hierarchyName</code> - the hierarchy name</dd>
<dd><code>langCode</code> - the lang code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list</dd>
</dl>
</li>
</ul>
<a name="findByIsActiveTrueAndParentLocCodeAndLangCode-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>findByIsActiveTrueAndParentLocCodeAndLangCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>&gt;&nbsp;findByIsActiveTrueAndParentLocCodeAndLangCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parentLocCode,
                                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</pre>
<div class="block">Find master location by parent loc code.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parentLocCode</code> - the parent loc code</dd>
<dd><code>langCode</code> - the lang code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LocationRepository.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/repositories/LanguageRepository.html" title="interface in io.mosip.registration.repositories"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/repositories/MachineMasterRepository.html" title="interface in io.mosip.registration.repositories"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/repositories/LocationRepository.html" target="_top">Frames</a></li>
<li><a href="LocationRepository.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
